package it.integry.integrywmsnative.view.dialogs.input_lu_prod;

import java.math.BigDecimal;
import java.util.Date;

import it.integry.integrywmsnative.core.model.MtbAart;

public class DialogInputLUProdDTO {

    private MtbAart mtbAart;

    private BigDecimal numCnf;
    private BigDecimal qtaCnf;
    private BigDecimal qtaTot;

    private String partitaMag;
    private Date dataScad;

    private String codJfasParent;
    private String codTcol;
    private String suggestedCodJfas;

    public MtbAart getMtbAart() {
        return mtbAart;
    }

    public DialogInputLUProdDTO setMtbAart(MtbAart mtbAart) {
        this.mtbAart = mtbAart;
        return this;
    }

    public BigDecimal getNumCnf() {
        return numCnf;
    }

    public DialogInputLUProdDTO setNumCnf(BigDecimal numCnf) {
        this.numCnf = numCnf;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public DialogInputLUProdDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public BigDecimal getQtaTot() {
        return qtaTot;
    }

    public DialogInputLUProdDTO setQtaTot(BigDecimal qtaTot) {
        this.qtaTot = qtaTot;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public DialogInputLUProdDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public Date getDataScad() {
        return dataScad;
    }

    public DialogInputLUProdDTO setDataScad(Date dataScad) {
        this.dataScad = dataScad;
        return this;
    }

    public String getCodJfasParent() {
        return codJfasParent;
    }

    public DialogInputLUProdDTO setCodJfasParent(String codJfasParent) {
        this.codJfasParent = codJfasParent;
        return this;
    }

    public String getCodTcol() {
        return codTcol;
    }

    public DialogInputLUProdDTO setCodTcol(String codTcol) {
        this.codTcol = codTcol;
        return this;
    }

    public String getSuggestedCodJfas() {
        return suggestedCodJfas;
    }

    public DialogInputLUProdDTO setSuggestedCodJfas(String suggestedCodJfas) {
        this.suggestedCodJfas = suggestedCodJfas;
        return this;
    }
}
